# Usage Example

from enstools.feature.pipeline import FeaturePipeline
from enstools.feature.identification.pv_streamer import PVIdentification, PVWernliSprenger2007
import os

pipeline = FeaturePipeline()

# init PVIdentification strategy, can take different parameters
i_strat = PVIdentification(unit='pv', out_type='ll') #, mode_2d_layer=330) # theta_range=(300, 380), extract_containing_layer=330)

# or strategy by Wernli and Sprenger (2007). Note: Fortran required and manual adaptation of scripts needed.
# change contour.f level too, also if data in PV/PVU adapt param.
# also pretty restrictive filewise. only global. need -180lon and 180lon.
# i_strat = PVWernliSprenger2007(unit='pv')

# t_strat = OverlapTracking()
# t_strat = EmptyTr()

pipeline.set_identification_strategy(i_strat)
pipeline.set_tracking_strategy(None)

# TODO set data path
# data_path = os.path.join(os.path.expanduser("~"), 'data/ERA5/vietnam2015.nc')

pipeline.set_data_path(data_path)

# execute pipeline
pipeline.execute()

out_netcdf_path = data_path + '_streamers.nc'
out_json_path = data_path + '_streamers_desc.json'
pipeline.save_result(description_type='json', description_path=out_json_path, dataset_path=out_netcdf_path,) #  save_proj=



