#!/bin/bash

# ------ Set parameters ---------------------------------------------------------------


date=$1
# levels=$2 # from python, spaces inbetween "330,335,340"
basedir=${PWD}
# for what this?
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib

#  ----- Install all programs ------------------------------------------- 

echo "Compiling..."

cd ${basedir}/prog

ncdf_incs=`nc-config --fflags`
ncdf_libs=`nc-config --flibs`
echo ${ncdf_libs}

if true;
then
  gfortran -c libcdfio.f    ${ncdf_incs} -w # TODO sometimes with -I?   ${ncdf_incs} <-> -I${ncdf_incs}
  gfortran -c libcdfplus.f  ${ncdf_incs} -w
  gfortran -c libcdfio.f    ${ncdf_incs} -w
  gfortran -c libcdfplus.f  ${ncdf_incs} -w
  gfortran -c contour.f     ${ncdf_incs} -w
  gfortran -c ns_streamer.f ${ncdf_incs} -w
  gfortran -c ps_streamer.f ${ncdf_incs} -w

  gfortran -o contour     contour.o     libcdfio.o libcdfplus.o ${ncdf_libs} -lnetcdff -lnetcdf -lnetcdf -ldl -lm -lcurl -w
  gfortran -o ns_streamer ns_streamer.o libcdfio.o libcdfplus.o ${ncdf_libs} -lnetcdff -lnetcdf -lnetcdf -ldl -lm -lcurl -w
  gfortran -o ps_streamer ps_streamer.o libcdfio.o libcdfplus.o ${ncdf_libs} -lnetcdff -lnetcdf -lnetcdf -ldl -lm -lcurl -w
fi

res1=$(date +%s.%N)
 
#  ----- Extract 2-PVU contour ------------------------------------------ 
# cd ${basedir}/test

# check beforehand if .contour and .streamer files already exist -> delete them. caching in python if wanted
if [ -f ${date}.contour ]
then
  rm -f ${date}.contour
fi
if [ -f ${date}.streamer ]
then
  rm -f ${date}.streamer
fi


> fort.10
echo ${date}  >> fort.10

${basedir}/prog/contour

if [ ! -f ${date}.contour ]
then
  echo " ERROR: contour extraction failed for ${date}"
  exit 1
fi

# ----- Identify PV streamers -------------------------------------------
# cd ${basedir}/test

\rm -f STR_${date}


for hem in nh sh
do 
  for level in ${levels}
  do
    echo "Level ${level}"
    # Stratospheric streamers
    > fort.10
    echo ${date}.contour  >> fort.10
    echo ${date}.streamer.${hem} >> fort.10
    echo ${hem}                >> fort.10
    echo ${level}              >> fort.10

    ${basedir}/prog/ps_streamer

    # Tropospheric streamers
    #\rm -f fort.10
    #> fort.10
    #echo \"TH${date}.contour\"  >> fort.10
    #echo \"TH${date}.streamer\" >> fort.10
    #echo ${hem}                >> fort.10
    #echo ${level}              >> fort.10
    #${basedir}/prog/ns_streamer

    \rm -f fort.10

  done
done

res2=$(date +%s.%N)
runtime=$(python -c "print(${res2} - ${res1})")

LC_NUMERIC=C printf "Total runtime: $runtime\n"

