from ..object_compare_tracking import ObjectComparisonTracking
from enstools.feature.identification._proto_gen import identification_pb2


class OverlapTracking(ObjectComparisonTracking):
    """
    Implementation of simple overlap tracking: Objects of consecutive timestamps are considered the same if their
    volume/boundary representations overlap.
    """

    def __init__(self):
        pass

    def correspond(self, obj1: identification_pb2.Object, obj2: identification_pb2.Object):
        """
        Implementation of abstract method. Checks if objects are the same by checking if they overlap.

        Parameters
        ----------
        obj1 : identification_pb2.Object
                Object to compare from timestamp t
        obj2 : identification_pb2.Object
                Object to compare from timestamp t+1

        Returns
        -------
        True if the objects' positional representations overlap.
        """
        # TODO overlap tracking here. compare volume reps.
        # TODO with numpy fields instead of descriptions this might be way faster?
        return True
